xampp

Windows10にバージョン違いのXAMPPを混合させて導入する時の注意

More than 1 year has passed since last update.

自分の覚書になってしまって申し訳ないですが、
XAMPPの7.1.9と5.6.12を混合して入れたいと思い何故か7.1.9だけが導入に失敗する。
まずなぜバージョン違いを混合したいのか

WEB系は古いPHPの環境や新しいPHPの環境など様々あった。
XAMPPがMySQLをサポートしなくなったことがある・・・などなど
現在はまたサポートされたみたいでMySQLが入っている。
古いバージョンのXAMPPも入れておくと何かと便利だったためである。

結論としては、
xamppフォルダ名に7_1_9などアンダーバー(アンダースコア)を入れてはいけない。
xampp5_6_12は大丈夫だったが何故か2017/09/25の最新の7.1.9ではエラーが起きる。

フォルダ名は暫定だがxamppとしてある。